<html lang="en">
<head>
	<title>Xmas Tree Remote</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<style>
		button {
			font-size: 200%;
			width: 49%;
			height: 3em;
		}
		#log {
			font-family: monospace;
			background-color: lightgray;
			min-height: 1em;
			padding: 1em 1em 1em 2em;
		}
	</style>
	<script>
		function log(message) {
			let logElement = document.getElementById('log');
			let itemsHTML = logElement.innerHTML;
			let time = (new Date()).toLocaleTimeString();
			logElement.innerHTML = '<li>' + time + ': ' + message + '</li>' + itemsHTML;
		}

		function createXHR(prefix) {
			let xhr = new XMLHttpRequest();
			xhr.onreadystatechange = function() {
				if (xhr.readyState !== 4) {
					return;
				}
				if (xhr.status >= 200 && xhr.status < 300) {
					log(prefix + 'Success!');
				} else {
					log(prefix + 'Failed! Status: ' + xhr.status + ': ' + xhr.statusText);
				}
			};
			return xhr;
		}

		function treeOn() {
			let xhr = createXHR('ON: ');
			xhr.open('GET', '/tree-on');
			xhr.send();
		}

		function treeOff() {
			let xhr = createXHR('OFF: ');
			xhr.open('GET', '/tree-off');
			xhr.send();
		}
	</script>
</head>
<body>
<button onclick="treeOn()">ON</button>
<button onclick="treeOff()">OFF</button>
<ul id="log"></ul>
</body>
</html>
